> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get List of OAuth Apps > Use this endpoint to get the list of apps. Permission required: `manage-oauth-apps` ### Changelog | Version | Description | | ---------------- | ------------| |2.4.0 | Added | ## OpenAPI ````json GET /api/v1/oauth-apps.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Integrations" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Integration" }, { "name": "OAuth Apps" }, { "name": "WebDAV" } ], "paths": { "/api/v1/oauth-apps.list": { "get": { "tags": [ "OAuth Apps" ], "summary": "Get List of OAuth Apps", "description": "Use this endpoint to get the list of apps. Permission required: `manage-oauth-apps`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|2.4.0 | Added |", "operationId": "get-api-v1-oauth-apps.list", "parameters": [ { "$ref": "#/components/parameters/X-Auth-Token" }, { "$ref": "#/components/parameters/X-User-Id" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "oauthApps": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "active": { "type": "boolean" }, "clientId": { "type": "string" }, "clientSecret": { "type": "string" }, "redirectUri": { "type": "string" }, "_createdAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "oauthApps": [ { "_id": "zapier", "name": "Zapier", "active": "true", "clientId": "zapier", "clientSecret": "RTK6TlndaCIolhQhZ7_KHIGOKj41RnlaOq_o-7JKwLr", "redirectUri": "https://zapier.com/dashboard/auth/oauth/return/RocketChatDevAPI/", "_createdAt": "2019-10-17T22:55:32.787Z", "_createdBy": { "_id": "system", "username": "system" }, "_updatedAt": "2019-10-17T22:55:32.787Z" } ], "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authorization token of the user.", "required": "true", "schema": { "type": "string" }, "example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq" }, "X-User-Id": { "name": "X-User-Id", "in": "header", "description": "The user ID of the user.", "required": "true", "schema": { "type": "string" }, "example": "aobEdbYhXfu5hkeqG" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````